## rosegarden-trinity 14.1.5~pre2

=== data/CMakeLists.txt ===
# Data directory

set(DATADIR ${DATA_INSTALL_DIR}/rosegarden)
set(ICONDIR ${ICON_INSTALL_DIR})
set(MIMEDIR ${MIME_INSTALL_DIR}/audio)
set(MENUDIR ${XDG_MENU_INSTALL_DIR})

# Guitar chord files
file(GLOB CHORD_FILES chords/*.xml)
install(FILES ${CHORD_FILES} DESTINATION ${DATADIR}/chords)

# Desktop file
tde_create_translated_desktop( desktop/rosegarden.desktop )

# MIME files
tde_create_translated_desktop(
    SOURCE
        desktop/x-rosegarden21.desktop
        desktop/x-rosegarden.desktop
        desktop/x-rosegarden-device.desktop
        desktop/x-soundfont.desktop

    DESTINATION ${MIMEDIR}
)

# Icons
install(FILES pixmaps/icons/cc-hi16-rosegarden.xpm      DESTINATION ${ICONDIR}/locolor/16x16/apps   RENAME rosegarden.xpm)
install(FILES pixmaps/icons/rg-rwb-rose3-16x16.png      DESTINATION ${ICONDIR}/hicolor/16x16/apps   RENAME rosegarden.png)
install(FILES pixmaps/icons/cc-hi32-rosegarden.xpm      DESTINATION ${ICONDIR}/locolor/32x32/apps   RENAME rosegarden.xpm)
install(FILES pixmaps/icons/rg-rwb-rose3-32x32.png      DESTINATION ${ICONDIR}/hicolor/32x32/apps   RENAME rosegarden.png)
install(FILES pixmaps/icons/rg-rwb-rose3-48x48.png      DESTINATION ${ICONDIR}/hicolor/48x48/apps   RENAME rosegarden.png)
install(FILES pixmaps/icons/rg-rwb-rose3-64x64.png      DESTINATION ${ICONDIR}/hicolor/64x64/apps   RENAME rosegarden.png)
install(FILES pixmaps/icons/rg-rwb-rose3-128x128.png    DESTINATION ${ICONDIR}/hicolor/128x128/apps RENAME rosegarden.png)

install(FILES pixmaps/icons/mm-mime-hi16-rosegarden.png DESTINATION ${ICONDIR}/hicolor/16x16/mimetypes RENAME x-rosegarden.png)
install(FILES pixmaps/icons/mm-mime-hi16-rosegarden.png DESTINATION ${ICONDIR}/locolor/16x16/mimetypes RENAME x-rosegarden.png)
install(FILES pixmaps/icons/mm-mime-hi32-rosegarden.png DESTINATION ${ICONDIR}/hicolor/32x32/mimetypes RENAME x-rosegarden.png)
install(FILES pixmaps/icons/mm-mime-hi32-rosegarden.png DESTINATION ${ICONDIR}/locolor/32x32/mimetypes RENAME x-rosegarden.png)

# styles
file(GLOB STYLES_FILES styles/*.xml)
install(FILES ${STYLES_FILES} DESTINATION ${DATADIR}/styles)

# presets
file(GLOB PRESETS_FILES presets/*.xml)
install(FILES ${PRESETS_FILES} DESTINATION ${DATADIR}/presets)

# fonts
file(GLOB PFA_FILES fonts/*.pfa)
install(FILES ${PFA_FILES} DESTINATION ${DATADIR}/fonts)

file(GLOB XML_FILES fonts/mappings/*.xml)
install(FILES ${XML_FILES} DESTINATION ${DATADIR}/fonts/mappings)

file(GLOB XPM_FILES pixmaps/rg21/4/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/rg21/4)

file(GLOB XPM_FILES pixmaps/rg21/8/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/rg21/8)

file(GLOB XPM_FILES pixmaps/feta/4/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/4)

file(GLOB XPM_FILES pixmaps/feta/6/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/6)

file(GLOB XPM_FILES pixmaps/feta/8/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/8)

file(GLOB XPM_FILES pixmaps/feta/10/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/10)

file(GLOB XPM_FILES pixmaps/feta/12/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/12)

# pixmaps
file(GLOB PIXMAP_FILES pixmaps/misc/*.xpm pixmaps/misc/*.png)
install(FILES ${PIXMAP_FILES} DESTINATION ${DATADIR}/pixmaps/misc)

file(GLOB PIXMAP_FILES pixmaps/toolbar/*.xpm pixmaps/toolbar/*.png)
install(FILES ${PIXMAP_FILES} DESTINATION ${DATADIR}/pixmaps/toolbar)

file(GLOB PIXMAP_FILES pixmaps/transport/*.xpm pixmaps/transport/*.png)
install(FILES ${PIXMAP_FILES} DESTINATION ${DATADIR}/pixmaps/transport)

# Splash
install(FILES pixmaps/splash.png DESTINATION ${DATADIR}/pixmaps)

# Examples
set(EXAMPLE_FILES
    examples/aveverum.rg
    examples/aylindaamiga.rg
    examples/bogus-surf-jam.rg
    examples/bwv-1060-trumpet-duet-excerpt.rg
    examples/children.rg
    examples/Djer-Fire.rg
    examples/doodle-q.rg
    examples/exercise_notation.rg
    examples/glazunov.rg
    examples/glazunov-for-solo-and-piano-with-cue.rg
    examples/headers-and-unicode-lyrics.rg
    examples/himno_de_riego.rg
    examples/interpretation-example.rg
    examples/let-all-mortal-flesh.rg
    examples/lilypond-alternative-endings.rg
    examples/lilypond-directives.rg
    examples/lilypond-staff-groupings.rg
    examples/mandolin-sonatina.rg
    examples/mozart-quartet.rg
    examples/notation-for-string-orchestra-in-D-minor.rg
    examples/perfect-moment.rg
    examples/ravel-pc-gmaj-adagio.rg
    examples/sonataC.rose
    examples/stormy-riders.rg
    examples/test_tuplets.rg
    examples/the-rose-garden.rg
    examples/vivaldi-cs3mv2.rg
    examples/vivaldi_op44_11_1.rg )

install(FILES ${EXAMPLE_FILES} DESTINATION ${DATADIR}/examples)
install(FILES examples/autoload.rg DESTINATION ${DATADIR})

# Library
file(GLOB RGD_FILES library/*.rgd)
install(FILES ${RGD_FILES} DESTINATION ${DATADIR}/library)

# KDE LIRC Profile
install(FILES profile/rosegarden.profile.xml DESTINATION ${DATA_INSTALL_DIR}/profiles)
