=== debian/changelog ===
rosegarden-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 81c43c5aba58347d73734f7cfdd8c5ebc41284cb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
