## rosegarden-trinity 14.1.6~pre1

=== debian/changelog ===
rosegarden-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for d119528fecb6aaa67f62e6cc9e51211078f2a967
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:50:28 +0100
