## rosegarden-trinity 14.2.0~pre50

=== debian/changelog ===
rosegarden-trinity (4:14.2.0~pre50-0ubuntu24.10.0+7) oracular; urgency=low

  * Automated git build for 24c583d8c82c9bcb81fd0e82f226c5cd078db1b1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
