=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Package: rosegarden-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, khelpcenter-trinity, rosegarden-data-trinity (= ${source:Version}), libxml-twig-perl, sndfile-programs, xterm, tdebase-trinity-bin, konqueror-trinity | www-browser, flac
-Replaces: rosegarden-trinity (<< 4:14.0.0~)
-Breaks: rosegarden-trinity (<< 4:14.0.0~)
+Replaces: rosegarden-kde3 (<< 4:14.0.0~), rosegarden-trinity (<< 4:14.0.0~)
+Breaks: rosegarden-kde3 (<< 4:14.0.0~), rosegarden-trinity (<< 4:14.0.0~)
 Recommends: jackd, lilypond, swh-plugins | ladspa-plugin
 Suggests: qjackctl
 Description: music editor and MIDI/audio sequencer [Trinity]
@@ -24,8 +24,8 @@
 Package: rosegarden-data-trinity
 Architecture: all
 Recommends: rosegarden-trinity
-Replaces: rosegarden-data-trinity (<< 4:14.0.0~)
-Breaks: rosegarden-data-trinity (<< 4:14.0.0~)
+Replaces: rosegarden-data-kde3 (<< 4:14.0.0~), rosegarden-data-trinity (<< 4:14.0.0~)
+Breaks: rosegarden-data-kde3 (<< 4:14.0.0~), rosegarden-data-trinity (<< 4:14.0.0~)
 Priority: optional
 Description: music editor and MIDI/audio sequencer data files [Trinity]
  Rosegarden is a TDE application which provides a mixed Audio/MIDI
