## rosegarden-trinity 14.2.0~pre51

=== debian/changelog ===
rosegarden-trinity (4:14.2.0~pre51-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 93bd0deb423cbbfee16a3b3ae3e07b4d7ae89cca
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:00:39 +0100
